#### Linux From Scratch - Version 7.9

### Chapter 6. Installing Basic System Software

- Prev

  Expat-2.1.0

- Next

  Perl-5.22.1

- Up
- Home

# 6.40. Inetutils-1.9.4

The Inetutils package contains programs for basic networking.

Approximate build time: 0.4 SBU
Required disk space: 28 MB

## 6.40.1. Installation of Inetutils

Prepare Inetutils for compilation:

    ./configure --prefix=/usr        \
                --localstatedir=/var \
                --disable-logger     \
                --disable-whois      \
                --disable-rcp        \
                --disable-rexec      \
                --disable-rlogin     \
                --disable-rsh        \
                --disable-servers

The meaning of the configure options:

`--disable-logger`

  This option prevents Inetutils from installing the logger program, which is used by scripts to pass messages to the System Log Daemon. Do not install it because Util-linux installs a more recent version.

`--disable-whois`

  This option disables the building of the Inetutils whois client, which is out of date. Instructions for a better whois client are in the BLFS book.

`--disable-r*`

  These parameters disable building obsolete programs that should not be used due to security issues. The functions provided by these programs can be provided by the openssh package in the BLFS book.

`--disable-servers`

  This disables the installation of the various network servers included as part of the Inetutils package. These servers are deemed not appropriate in a basic LFS system. Some are insecure by nature and are only considered safe on trusted networks. Note that better replacements are available for many of these servers.

Compile the package:

    make

To test the results, issue:

    make check

Install the package:

    make install

Move some programs so they are available if `/usr` is not accessible:

    mv -v /usr/bin/{hostname,ping,ping6,traceroute} /bin
    mv -v /usr/bin/ifconfig /sbin

## 6.40.2. Contents of Inetutils

Installed programs: dnsdomainname, ftp, ifconfig, hostname, ping, ping6, talk, telnet, tftp, and traceroute

### Short Descriptions

dnsdomainname | Show the system's DNS domain name
ftp | Is the file transfer protocol program
hostname | Reports or sets the name of the host
ifconfig | Manages network interfaces
ping | Sends echo-request packets and reports how long the replies take
ping6 | A version of ping for IPv6 networks
talk | Is used to chat with another user
telnet | An interface to the TELNET protocol
tftp | A trivial file transfer program
traceroute | Traces the route your packets take from the host you are working on to another host on a network, showing all the intermediate hops (gateways) along the way

- Prev

  Expat-2.1.0

- Next

  Perl-5.22.1

- Up
- Home